/*
 * Copyright 2014 CyberVision, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kaaproject.kaa.server.operations.service.history;

import org.kaaproject.kaa.common.dto.EndpointProfileDto;
import org.kaaproject.kaa.server.operations.service.cache.HistorySubject;
import org.kaaproject.kaa.server.operations.service.delta.HistoryDelta;


/**
 * The Interface HistoryDeltaService.
 */
public interface HistoryDeltaService {

    /**
     * Gets the delta.
     *
     * @param profile the profile
     * @param applicationToken the application token
     * @param oldAppSeqNumber the old app seq number
     * @param curAppSeqNumber the cur app seq number
     * @return the delta
     */
    HistoryDelta getDelta(EndpointProfileDto profile, HistorySubject subject, String applicationToken, int oldAppSeqNumber, int curAppSeqNumber);

    /**
     * Gets the delta.
     *
     * @param profile the profile
     * @param applicationToken the application token
     * @param curAppSeqNumber the cur app seq number
     * @return the delta
     */
    HistoryDelta getDelta(EndpointProfileDto profile, String applicationToken, int curAppSeqNumber);

}
